Subject: Bug#22: [X2Go-Dev] bug#22: bug#22: bug#22: Keyboard focus lost when connecting to Win2008r2 RDP-Server (proxied through NX) in fullscreen mode

From: Oleksandr Shneyder <[email-masked]>
Date: Wed, 12 Sep 2012 11:02:18 +0200

Hello Mike,

It looking OK for me. However, I think it it wrong place to fix this
issue. In February this year I fixed some keyboard focus issues:
http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=236d841becb21398f6137f6e8c569494f10ab11f

Unfortunately I have not a TCE in daily use. Now I see, that this fix
working only for desktop sessions, with nxproxy that have Window ID. In
case of rootless sessions or direct RDP connections it not working. I
wrote a patch, that should fix it:

http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=bace365a71c05d924288e2f0b8d0ff1af2245a19

Please try it. And you can revert the changes you have made.

regards
Alex

Am 11.09.2012 21:19, schrieb Mike Gabriel:
> Hi Alex,
> 
> On Di 11 Sep 2012 16:26:53 CEST Mike Gabriel wrote:
> 
>> tags #22 pending
>> clone #22 -1
>> reassign -1 python-x2go
>> thanks
>>
>> Hi all,
>>
>> On Di 11 Sep 2012 12:17:12 CEST Mike Gabriel wrote:
>>
>>> When launching an X2Go-proxied RDP session in fullscreen mode to a 
>>>  Windows 7 or Windows 2008r2 server, the keyboard focus gets lost
>>> in   the RDP session window. Thus, it is not possible to enter the 
>>> password  in the fullscreen login window of the RDP server.
>>
>> The approach to work-around this issue is to launch fullscreen 
>> rdesktop sessions with X2Go session type "D" (desktop) not "R" 
>> (rootless).
>>
>> This commit should change this behaviour in x2goclient:
>> http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=1c4064a61af7cd322b3a755913dfe448cfccb005
>>
> 
> Can you look at that commit (and the follow-up commit) and judge if that
> is the way to go?
> 
> I actually would love to gradually convert the sessions file so that RDP
> fullscreen session get:
> 
>   rootless=false
> 
> and RDP non-fullscreen get
> 
>   rootless=true
> 
> This has to be implemented in PyHoca and X2GoClient then.
> 
> What do you think?
> 
> Greets,
> Mike
> 
> 
> 
> _______________________________________________
> X2Go-Dev mailing list
> [email-masked]
> https://lists.berlios.de/mailman/listinfo/x2go-dev

-- 
Oleksandr Shneyder
Dipl. Informatik
X2go Core Developer Team

email:  [email-masked]
web: www.obviously-nice.de

--> X2go - everywhere@home